# Uses of Class
org.eclipse.nebula.widgets.richtext.RichTextEditorConfiguration

Packages that use RichTextEditorConfiguration
Package
Description
org.eclipse.nebula.widgets.richtext

## Uses of RichTextEditorConfiguration in org.eclipse.nebula.widgets.richtext

Methods in org.eclipse.nebula.widgets.richtext that return RichTextEditorConfiguration
Modifier and Type
Method
Description
`RichTextEditorConfiguration`
RichTextEditor.`getEditorConfiguration()`
This method returns the `RichTextEditorConfiguration` that is used to configure this `RichTextEditor`.
Constructors in org.eclipse.nebula.widgets.richtext with parameters of type RichTextEditorConfiguration
Modifier
Constructor
Description
``
`RichTextEditor(Composite parent, RichTextEditorConfiguration editorConfig)`
Constructs a new instance of this class given its parent, the given `ToolbarConfiguration` and a style value describing its behavior and appearance.
``
`RichTextEditor(Composite parent, RichTextEditorConfiguration editorConfig, int style)`
Constructs a new instance of this class given its parent, the given `ToolbarConfiguration` and a style value describing its behavior and appearance.